description

# ImageCapture class Null safety

Annotations
  - @Native("ImageCapture")

## Constructors

ImageCapture(MediaStreamTrack track)
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
track → MediaStreamTrack?
  read-only

## Methods

getPhotoCapabilities() → Future<PhotoCapabilities>
getPhotoSettings() → Future<Map<String, dynamic>?>
grabFrame() → Future<ImageBitmap>
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
setOptions(Map photoSettings) → Future
takePhoto([Map? photoSettings]) → Future<Blob>
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited